
(in-package txt2web)

(defclass compiler ()
  ((body :accessor body :initform #.(load-src "extras/body.html"))
   (css  :accessor css  :initform (list #.(load-src "extras/default.css")))
   (js   :accessor js   :initform (reverse
                                   (list
                                    '#.(read-progn-from-string (load-src "src/main.ps"))
                                    '#.(read-progn-from-string (load-src "src/api.ps"))
                                    '#.(read-progn-from-string (load-src "src/intrinsics.ps")))))
   (compile :accessor compile-only :initarg :compile)
   (target  :accessor target :initarg :target)
   (beautify :accessor beautify :initarg :beautify)))
